Форум русскоязычного сообщества Ubuntu


Следите за новостями русскоязычного сообщества Ubuntu в Twitter-ленте @ubuntu_ru_loco

Автор Тема: Komodo Edit удалить старую, поставить новую версию  (Прочитано 3113 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн mastak777

  • Автор темы
  • Любитель
  • *
  • Сообщений: 98
    • Просмотр профиля
Перестал работать Komodo Edit. Выдает:
(Нажмите, чтобы показать/скрыть)
Попытался удалить: sudo aptitude remove komodo-edit
И поставить новую: sudo apt-get install komodo-edit
Все вроде бы отработало, но результат тот же.
Возможно мешает русификатор.
Подскажите, как правильно все удалить и поставить заново.

Оффлайн AlexBKost

  • Старожил
  • *
  • Сообщений: 2822
  • Kubuntu 12.04, 16.04, 18.04, 20.04, 20.10
    • Просмотр профиля
Я странен, а не странен кто ж? (С)

Оффлайн mastak777

  • Автор темы
  • Любитель
  • *
  • Сообщений: 98
    • Просмотр профиля
Я уже устанавливал ранее через apt-get install komodo-edit и проблем не было.
Сейчас я прошу совета, как можно аккуратно все удалить, потому что я даже не знаю в какой папке все это находится.

Оффлайн mastak777

  • Автор темы
  • Любитель
  • *
  • Сообщений: 98
    • Просмотр профиля
Для установки и удаления Komodo Edit 9 я пользуюсь указаниями по ссылке http://ubuntuhandbook.org/index.php/2015/11/install-komodo-edit-9-3-ubuntu-1510/

Удаляю старое:
sudo apt-get remove komodo-edit && sudo apt-get autoremove

Ставлю новое:
sudo add-apt-repository -y ppa:mystic-mirage/komodo-edit
sudo apt-get update
sudo apt-get install komodo-edit

Однако при старте Комодо вылезает та же ошибка:
XML Parsing Error: undefined entity
Location: chrome://komodo/content/komodo.xul
Line Number 289, Column 17:                <menuitem id="editor-context-removePrevWordInCaretSet"
----------------^

Пробовал удалять/устанавливать через Synaptic - все то же самое.
Поиск по Гуглу уводит в какие-то дебри.
Что делать не знаю.

Пользователь добавил сообщение 01 Август 2016, 23:47:21:
У кого-нибудь вообще установлен этот Комодо?
« Последнее редактирование: 01 Август 2016, 23:47:21 от mastak777 »

Оффлайн coder-ex

  • Любитель
  • *
  • Сообщений: 71
    • Просмотр профиля
сделай вывод
dpkg -l komodo*
Разработка торговых систем и прикладного ПО для FOREX и FORTS. Программирование на MQL4, MQL5, C++ Qt.

Оффлайн mastak777

  • Автор темы
  • Любитель
  • *
  • Сообщений: 98
    • Просмотр профиля
сделай вывод
dpkg -l komodo*
Вот:
at@VirtualBox:~$ dpkg -l komodo*
Желаемый=неизвестно[u]/установить[i]/удалить[r]/вычистить[p]/зафиксировать[h]
| Состояние=не[n]/установлен[i]/настроен[c]/распакован[U]/частично настроен[F]/
            частично установлен[H]/trig-aWait/Trig-pend
|/ Ошибка?=(нет)/требуется переустановка[R] (верхний регистр
в полях состояния и ошибки указывает на ненормальную ситуацию)
||/ Имя            Версия       Архитектура  Описание
+++-==============-============-============-=================================
ii  komodo-edit    10.0.1+17276 amd64        Komodo Edit is a free, open sourc
un  komodo-edit-gl <нет>        <none>       (описание недоступно)
un  komodo-edit-ru <нет>        <none>       (описание недоступно)

Оффлайн coder-ex

  • Любитель
  • *
  • Сообщений: 71
    • Просмотр профиля
сделай вывод
dpkg -l komodo*
Вот:
at@VirtualBox:~$ dpkg -l komodo*
Желаемый=неизвестно[u]/установить[i]/удалить[r]/вычистить[p]/зафиксировать[h]
| Состояние=не[n]/установлен[i]/настроен[c]/распакован[U]/частично настроен[F]/
            частично установлен[H]/trig-aWait/Trig-pend
|/ Ошибка?=(нет)/требуется переустановка[R] (верхний регистр
в полях состояния и ошибки указывает на ненормальную ситуацию)
||/ Имя            Версия       Архитектура  Описание
+++-==============-============-============-=================================
ii  komodo-edit    10.0.1+17276 amd64        Komodo Edit is a free, open sourc
un  komodo-edit-gl <нет>        <none>       (описание недоступно)
un  komodo-edit-ru <нет>        <none>       (описание недоступно)

Вот этот пакет удаляй:
sudo apt-get purge komodo-edit
а остальные у тебя не установлены. Если потребует сделать autoremove то сделай после удаления.
« Последнее редактирование: 02 Август 2016, 07:59:09 от coder-ex »
Разработка торговых систем и прикладного ПО для FOREX и FORTS. Программирование на MQL4, MQL5, C++ Qt.

Оффлайн mastak777

  • Автор темы
  • Любитель
  • *
  • Сообщений: 98
    • Просмотр профиля
вот этот пакет удаляй:
sudo apt-get purge komodo-edit
а остальные у тебя не установлены
Извини, ты не ошибся? Ведь я же удалю основной пакет, а что же останется?

Оффлайн coder-ex

  • Любитель
  • *
  • Сообщений: 71
    • Просмотр профиля
вот этот пакет удаляй:
sudo apt-get purge komodo-edit
а остальные у тебя не установлены
Извини, ты не ошибся? Ведь я же удалю основной пакет, а что же останется?
purge удалит полностью пакет с его настройками, после полного удаления так же обнови свой список пакетов.
Разработка торговых систем и прикладного ПО для FOREX и FORTS. Программирование на MQL4, MQL5, C++ Qt.

Оффлайн mastak777

  • Автор темы
  • Любитель
  • *
  • Сообщений: 98
    • Просмотр профиля
purge удалит полностью пакет с его настройками, после полного удаления так же обнови свой список пакетов.
Удалил, обновил пакеты. Запустил установку
sudo apt-get install komodo-editНо в результате все то же самое.

Оффлайн coder-ex

  • Любитель
  • *
  • Сообщений: 71
    • Просмотр профиля
purge удалит полностью пакет с его настройками, после полного удаления так же обнови свой список пакетов.
Удалил, обновил пакеты. Запустил установку
sudo apt-get install komodo-editНо в результате все то же самое.
проверь после установки по dpkg какие пакеты встали, если будет прошлый вывод, то попробуй доставь пакеты komodo-edit-gl и komodo-edit-ru
я правильно понимаю, это про него https://habrahabr.ru/post/229111/
« Последнее редактирование: 02 Август 2016, 08:46:27 от coder-ex »
Разработка торговых систем и прикладного ПО для FOREX и FORTS. Программирование на MQL4, MQL5, C++ Qt.

Оффлайн mastak777

  • Автор темы
  • Любитель
  • *
  • Сообщений: 98
    • Просмотр профиля

проверь после установки по dpkg какие пакеты встали, если будет прошлый вывод, то попробуй доставь пакеты komodo-edit-gl и komodo-edit-ru
Вывод по dpkg в точности как в прошлый раз.
Попытка добавить доп.пакеы вот что показывает:
at@VirtualBox:~$ sudo apt-get install komodo-edit-gl
[sudo] password for at:
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
E: Не удалось найти пакет komodo-edit-gl
at@VirtualBox:~$ sudo apt-get install komodo-edit-ru
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Пакет komodo-edit-ru недоступен, но упомянут в списке зависимостей другого пакета.
Это может означать, что пакет отсутствует, устарел, или доступен из источников, не упомянутых в sources.list

E: Для пакета «komodo-edit-ru» не найден кандидат на установку
at@VirtualBox:~$

Пользователь добавил сообщение 02 Август 2016, 08:58:46:
я правильно понимаю, это про него https://habrahabr.ru/post/229111/
Да, это он самый. Только версия другая.
« Последнее редактирование: 02 Август 2016, 08:58:46 от mastak777 »

Оффлайн coder-ex

  • Любитель
  • *
  • Сообщений: 71
    • Просмотр профиля

проверь после установки по dpkg какие пакеты встали, если будет прошлый вывод, то попробуй доставь пакеты komodo-edit-gl и komodo-edit-ru
Вывод по dpkg в точности как в прошлый раз.
Попытка добавить доп.пакеы вот что показывает:
at@VirtualBox:~$ sudo apt-get install komodo-edit-gl
[sudo] password for at:
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
E: Не удалось найти пакет komodo-edit-gl
at@VirtualBox:~$ sudo apt-get install komodo-edit-ru
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Пакет komodo-edit-ru недоступен, но упомянут в списке зависимостей другого пакета.
Это может означать, что пакет отсутствует, устарел, или доступен из источников, не упомянутых в sources.list

E: Для пакета «komodo-edit-ru» не найден кандидат на установку
at@VirtualBox:~$

Пользователь добавил сообщение 02 Август 2016, 08:58:46:
я правильно понимаю, это про него https://habrahabr.ru/post/229111/
Да, это он самый. Только версия другая.
складывается ощущение, что нарушены зависимости, посмотри в ту сторону
Разработка торговых систем и прикладного ПО для FOREX и FORTS. Программирование на MQL4, MQL5, C++ Qt.

Оффлайн mastak777

  • Автор темы
  • Любитель
  • *
  • Сообщений: 98
    • Просмотр профиля
складывается ощущение, что нарушены зависимости, посмотри в ту сторону
Вполне возможно. А как их проверить и справить? Сам я слабо разбираюсь в этом, поскольку Ubuntu мне нужна исключительно для работы с perl, и по большей частью я сижу в Винде.

Оффлайн coder-ex

  • Любитель
  • *
  • Сообщений: 71
    • Просмотр профиля
складывается ощущение, что нарушены зависимости, посмотри в ту сторону
Вполне возможно. А как их проверить и справить? Сам я слабо разбираюсь в этом, поскольку Ubuntu мне нужна исключительно для работы с perl, и по большей частью я сижу в Винде.
тут много раз поднимались темы по данным вопросам, нужно смотреть чего из зависимостей нарушено либо не хватает, сделай поиск по форуму
Разработка торговых систем и прикладного ПО для FOREX и FORTS. Программирование на MQL4, MQL5, C++ Qt.

 

Страница сгенерирована за 0.236 секунд. Запросов: 22.